cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Go to solution
Highlighted

Current Version of .NET Framework on Hosting Servers

What is the current version of the .NET Framework on the hosting servers? I need at least 4.6.1 to do my work on it. Thank you.

 

Sincerely,

Denis J. Lanza

Principal Consultant

DJL Consulting

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
Community Manager
Community Manager
Solution

Re: Current Version of .NET Framework on Hosting Servers

Hi @SachinTheGreat. Thanks for being part of GoDaddy Community! Yes, the .NET Framework version is technically different than the ASP.NET version. However, for customers on shared hosting, the versions are the same. If you have a Plesk plan and you update to ASP.NET 4.7, you would have access to .NET Framework 4.7. 

 

As for the error you're seeing, that appears to be related to your application has other dependencies that (like 3rd party DLLs) that are not available. For information on using DLLs with Plesk, you can see this article. Hope that helps. 

 

JesseW - GoDaddy | Community Manager | 24/7 support available at x.co/247support | Remember to choose a solution and give kudos.

View solution in original post

9 REPLIES 9
Highlighted
Employee
Employee

Re: Current Version of .NET Framework on Hosting Servers

According to documentation it is 4.7.02558 on shared Plesk Windows hosting. Depending on the weight of your project you may want a VPS that will allow you to maintain the software yourself.

Highlighted

Re: Current Version of .NET Framework on Hosting Servers

Thank you very much for this information. Can I use Entity Framework with ASP.NET MVC, SQL Server on here? What is the current version of SQL Server? I forgot to ask that in my original question.

Highlighted

Re: Current Version of .NET Framework on Hosting Servers

I think that maybe the ASP.NET Version not the .NET Framework Version, I have the same problem with my site I need the latest .NET Framework Version assigned to my dedicated App Pool. Take a look at my site - "http://alphacore-consulting.com/MetroSound/MetroSoundService.svc" the error comes up.

 

Any ideas on when Godaddy will update the .NET Framework Version?

Highlighted
Community Manager
Community Manager
Solution

Re: Current Version of .NET Framework on Hosting Servers

Hi @SachinTheGreat. Thanks for being part of GoDaddy Community! Yes, the .NET Framework version is technically different than the ASP.NET version. However, for customers on shared hosting, the versions are the same. If you have a Plesk plan and you update to ASP.NET 4.7, you would have access to .NET Framework 4.7. 

 

As for the error you're seeing, that appears to be related to your application has other dependencies that (like 3rd party DLLs) that are not available. For information on using DLLs with Plesk, you can see this article. Hope that helps. 

 

JesseW - GoDaddy | Community Manager | 24/7 support available at x.co/247support | Remember to choose a solution and give kudos.

View solution in original post

Highlighted

Re: Current Version of .NET Framework on Hosting Servers

Hi JesseW,

The error you're seeing means that the dll (Newtonsoft.Json) which is loaded (existing) on the GoDaddy web server (Plesk) was built by a runtime newer than what is running on the GoDaddy web server. Hence it says - "This assembly is built by a runtime newer than the currently loaded runtime and cannot be loaded".

When I load the dll on IIS on my local dev machine I don't receive this error. This is because I explicitly set the .NET Framework Version on the Application pool which serves the Dll to .Net Framework version 4. Please take a look at the screen shot:

.NET Framework version on IIS7.jpg

This means either of the following:

1) GoDaddy webservers do not set their respective customers dedicated App Pools to .NET Framework 4.

2) GoDaddy supports .NET Framework 4, but the Plesk does not update the version because of an underlying UI error.

 

First we need to ascertain what is actually going on in the dedicated App pool because currently the PLESK UI does not allow one to set the .NET Framework version, which IS allowed on IIS7.

 

Maybe forward this issue to the Web Server Admin or a Dev at GoDaddy. I look forward to your response.

Highlighted
New

Re: Current Version of .NET Framework on Hosting Servers

Dated : 5 Nov 2018
I'm too facing the same problem. Since a dedicated App Pool is assigned to a website hosted on Plesk Windows shared platform, can the IIS Application Pool .Net CLR version configured to point to V4.0 instead of default V2.0? This configuration needs to be done at IIS level by Admin and not available through Plesk and have limited configurable items.
If application pool CLR version can't be configured/selected to point to V4.0 , then there wouldn't be any point stating that Go Daddy supports up to .Net framework 4.7 because many features are not supported by App pool classic V2.0 CLR version. Curiously awaiting for a reply from Go Daddy on the same 🙂
Highlighted
New

Re: Current Version of .NET Framework on Hosting Servers

@SachinTheGreat, I could not see date time published for any of the posts. May I know whether the problem that you're facing had been resolved by Go Daddy by updating the IIS Application Pool .Net CLR version selection to 4.0? Your reply meant a lot to me at understanding Go Daddy techincal support level. Awaiting for a reply 🙂
Highlighted
New

Re: Current Version of .NET Framework on Hosting Servers

Dated: 5 Nov 2018
Hello JesseW,
I went through the suggested links and I'm using a Microsoft component - Microsoft.AspNet.FriendlyUrls , that requires Application Pool CLR version. 4.0 features.
To be straight and since dedicated app pool is assigned for a website, can App Pool be selected to point to V4.0 by Go Daddy support team or not? If the answer is 'NO' what would be the alternative solution that can support or configured to support app pool CLR 4.0 on Windows shared hosting? and it doesn't make sense to name the App pool as dedicated app pool for websites on Plesk panel.
Highlighted
Employee
Employee

Re: Current Version of .NET Framework on Hosting Servers

Have you received your email about the upcoming upgrades? The Plesk Onyx update that is coming very soon is a major refresh, most software will be up to date.